Commit 542318ed authored by Jason R. Coombs's avatar Jason R. Coombs

Implement PEP 517 build-backend. Bump setuptools and setuptools_scm...

Implement PEP 517 build-backend. Bump setuptools and setuptools_scm requirements and rely on those later versions to simplify the setup.
parent 1d53329a
Pipeline #113115568 passed with stages
in 4 minutes and 23 seconds
[build-system]
requires = ["setuptools>=30.3", "wheel", "setuptools_scm"]
requires = ["setuptools>=42", "wheel", "setuptools_scm[toml]>=3.4.1"]
build-backend = "setuptools.build_meta"
[tool.setuptools_scm]
......@@ -16,7 +16,9 @@ classifiers =
[options]
python_requires = >=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*
setup_requires = setuptools-scm
setup_requires =
setuptools-scm[toml] >= 3.4.1
setuptools >= 42
install_requires =
zipp>=0.5
pathlib2; python_version < '3'
......
from setuptools import setup
import setuptools
setup(use_scm_version=True)
if __name__ == "__main__":
setuptools.setup()
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment